install.packages("FactoMineR")
library(FactoMineR)
data2 = read.table(file.choose(), header=TRUE, sep=",")
data2[c("ReciAnim", "ReciAcc", "ThemeAcc", "ReciPron", "ThemePron", 
        "LengthDiff", "ReciDef", "ThemeDef", "ThemeCon", "ReciCom", 
        "ThemeCom", "Dative")] <- lapply(data2[c("ReciAnim", "ReciAcc", 
                                                 "ThemeAcc", "ReciPron", 
                                                 "ThemePron", "LengthDiff",
                                                 "ReciDef", "ThemeDef", 
                                                 "ThemeCon", "ReciCom", 
                                                 "ThemeCom", "Dative")], factor)
str(data2)
head(data2)

ca.data2 <- MCA(data2[, c(1:11)], graph = FALSE)
plot(ca.data2, cex = 0.7, col.var = "black", col.ind = "grey")
plot(ca.data2, cex = 0.7, col.var = "black", invisible = "ind")

ca.data3 <- MCA(data2, quali.sup = 12, graph = FALSE)
plot(ca.data3, cex = 0.8, invisible = "ind", col.var = "darkgrey", col.quali.sup = "black")

dimdesc(ca.data2)

plotellipses(ca.data3, keepvar = 12, label = "quali")
plotellipses(ca.data3, means = FALSE, keepvar = 12, label = "quali")

install.packages("ca")
library("ca")
ca.data4 <- mjca(data2[, c(1:11)])
summary(ca.data4)
